package id.co.sangkuriang.inovasi.daerah.master.model.jwt

import id.co.sangkuriang.inovasi.daerah.master.pojo.Province
import id.co.sangkuriang.inovasi.daerah.master.pojo.Regency
import id.co.sangkuriang.inovasi.daerah.master.pojo.Role

data class UserJwt(

    var id: String? = null,

    var nik: String? = null,

    var nip: String? = null,

    var fullName: String? = null,

    var image: String? = null,

    var phoneNumber: String? = null,

    var email: String? = null,

    var roleId: String? = null,

    var role: Role? = null,

    var provinceId: String? = null,

    var province: Province? = null,

    var regencyId: String? = null,

    var regency: Regency? = null,

    var tokenSso: TokenSso? = null
)

data class TokenSso(
    var access_token: String? = null,
    var expires_in: Int? = null,
    var refresh_expires_in: Int? = null,
    var refresh_token: String? = null,
    var token_type: String? = null,
    var session_state: String? = null,
    var scope: String? = null
)
