package id.co.sangkuriang.inovasi.daerah.master.service

import id.co.sangkuriang.inovasi.daerah.master.model.request.DeleteDataRequest
import id.co.sangkuriang.inovasi.daerah.master.model.request.PaginationRequest
import id.co.sangkuriang.inovasi.daerah.master.model.response.ReturnData
import id.co.sangkuriang.inovasi.daerah.master.pojo.Tag
import org.springframework.http.ResponseEntity
import javax.servlet.http.HttpServletRequest

interface TagService {

    fun getAll(page: PaginationRequest): ResponseEntity<ReturnData>

    fun getDetail(id: String): ResponseEntity<ReturnData>

    fun saveData(request: Tag): ResponseEntity<ReturnData>

    fun updateData(id: String, request: Tag): ResponseEntity<ReturnData>

    fun deleteData(request: DeleteDataRequest, httpServletRequest: HttpServletRequest): ResponseEntity<ReturnData>
}
